[arch-commits] CVS update of arch/build/network/xchat (2 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri Apr 27 17:41:16 EDT 2007


    Date: Friday, April 27, 2007 @ 17:41:16
  Author: andyrtr
    Path: /home/cvs-arch/arch/build/network/xchat

   Added: 2.8.2-fe-text-vartype.patch (1.1)
Modified: PKGBUILD (1.50 -> 1.51)

updatepkg 2.8.2; added a compile fix patch


-----------------------------+
 2.8.2-fe-text-vartype.patch |   10 ++++++++++
 PKGBUILD                    |   12 +++++-------
 2 files changed, 15 insertions(+), 7 deletions(-)


Index: arch/build/network/xchat/2.8.2-fe-text-vartype.patch
diff -u /dev/null arch/build/network/xchat/2.8.2-fe-text-vartype.patch:1.1
--- /dev/null	Fri Apr 27 17:41:16 2007
+++ arch/build/network/xchat/2.8.2-fe-text-vartype.patch	Fri Apr 27 17:41:15 2007
@@ -0,0 +1,10 @@
+--- src/fe-text/fe-text.c.orig	2007-04-10 19:00:26.000000000 +0200
++++ src/fe-text/fe-text.c	2007-04-10 19:00:42.000000000 +0200
+@@ -856,6 +856,6 @@
+ }
+ void fe_tray_set_flash (const char *filename1, const char *filename2, int timeout){}
+ void fe_tray_set_file (const char *filename){}
+-void fe_tray_set_icon (int icon){}
++void fe_tray_set_icon (feicon icon){}
+ void fe_tray_set_tooltip (const char *text){}
+ void fe_tray_set_balloon (const char *title, const char *text){}
Index: arch/build/network/xchat/PKGBUILD
diff -u arch/build/network/xchat/PKGBUILD:1.50 arch/build/network/xchat/PKGBUILD:1.51
--- arch/build/network/xchat/PKGBUILD:1.50	Fri Feb  9 05:28:33 2007
+++ arch/build/network/xchat/PKGBUILD	Fri Apr 27 17:41:15 2007
@@ -1,7 +1,7 @@
-# $Id: PKGBUILD,v 1.50 2007/02/09 10:28:33 jgc Exp $
+# $Id: PKGBUILD,v 1.51 2007/04/27 21:41:15 andyrtr Exp $
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=xchat
-pkgver=2.8.0
+pkgver=2.8.2
 pkgrel=1
 pkgdesc="A GTK+ based IRC client"
 arch=(i686 x86_64)
@@ -10,14 +10,12 @@
 makedepends=('tcl' 'perl' 'python')
 options=('nolibtool')
 source=(http://www.xchat.org/files/source/2.8/${pkgname}-${pkgver}.tar.bz2
-	http://www.xchat.org/files/source/2.8/patches/xc280-fix-back.diff
-	http://www.xchat.org/files/source/2.8/patches/xc280-fix-ja.diff)
+	2.8.2-fe-text-vartype.patch)
+md5sums=('d87a93bcd39d96ff3a3d0f8199efcf12' '7833847ce839c0aafb6623d7dc096528')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/xc280-fix-back.diff || return 1
-  patch -Np1 -i ${startdir}/src/xc280-fix-ja.diff || return 1
-
+  patch -Np0 -i ${startdir}/src/2.8.2-fe-text-vartype.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --enable-openssl --enable-dbus \
               --disable-gnome --enable-textfe \




More information about the arch-commits mailing list